<?php
defined('_JEXEC') or die();
require_once(__DIR__ . '/include.php');
$rbspayment_berekebank_default_merchant_token = '';
$merchant = isset($params['rbspayment_berekebank_merchant_login']) ? $params['rbspayment_berekebank_merchant_login'] : "";
$password = isset($params['rbspayment_berekebank_merchant_password']) ? $params['rbspayment_berekebank_merchant_password'] : "";
if (!empty($merchant) && !empty($password)) {
$rbspayment_berekebank_default_merchant_token = base64_encode($merchant . ":" . $password);
}
?>
<div class="col100">
<fieldset class="adminform">
<table class="admintable">
<tr>
<td colspan="2">
<h3><?php echo _JSHOP_RBSPAYMENT_SETTINGS_HEADER1; ?></h3>
</td>
</tr>
<?php if (defined('RBSPAYMENT_BEREKEBANK_API_VERSION') && RBSPAYMENT_BEREKEBANK_API_VERSION >= 2) : ?>
<tr>
<td class="key" >
<?php echo _JSHOP_RBSPAYMENT_TOKEN_LABEL; ?>
</td>
<td>
<input type="password" name="pm_params[rbspayment_berekebank_merchant_token]" class="inputbox form-control"
value="<?= !empty($params['rbspayment_berekebank_merchant_token']) ? $params['rbspayment_berekebank_merchant_token'] : $rbspayment_berekebank_default_merchant_token ?>">
</td>
</tr>
<?php else :?>
<tr>
<td class="key" >
<?php echo _JSHOP_RBSPAYMENT_LOGIN_LABEL; ?>
</td>
<td>
<input type="text" name="pm_params[rbspayment_berekebank_merchant_login]" class="inputbox form-control"
value="<?= isset($params['rbspayment_berekebank_merchant_login']) ? $params['rbspayment_berekebank_merchant_login'] : "" ?>">
</td>
</tr>
<tr>
<td class="key">
<?php echo _JSHOP_RBSPAYMENT_PASSWORD_LABEL; ?>
</td>
<td>
<input type="password" name="pm_params[rbspayment_berekebank_merchant_password]" class="inputbox form-control"
value="<?= isset($params['rbspayment_berekebank_merchant_password']) ? $params['rbspayment_berekebank_merchant_password'] : "" ?>">
</td>
</tr>
<?php endif ?>
<tr>
<td style="width:300px;" class="key">
<?php echo _JSHOP_RBSPAYMENT_TEST_MODE_LABEL; ?>
</td>
<td>
<?php
print JHTML::_('select.booleanlist', 'pm_params[rbspayment_berekebank_test_mode]', 'class = "inputbox" size = "1"', $params['rbspayment_berekebank_test_mode']);
?>
</td>
</tr>
<tr>
<td style="width:250px;" class="key">
<?php echo _JSHOP_RBSPAYMENT_PHASE_LABEL; ?>
</td>
<td>
<?php
print JHTML::_('select.booleanlist', 'pm_params[rbspayment_berekebank_two_stage]', 'class = "inputbox" size = "1"', $params['rbspayment_berekebank_two_stage']);
?>
</td>
</tr>
<?php if (file_exists(dirname(__FILE__) . "/cacert.cer")) {?>
<tr>
<td style="width:300px;" class="key">
<?php echo _JSHOP_RBSPAYMENT_VERIFY_SSL_CERTIFICATE_LABEL; ?>
</td>
<td>
<?php
print JHTML::_('select.booleanlist', 'pm_params[rbspayment_berekebank_enable_cacert]', 'class = "inputbox" size = "1"', $params['rbspayment_berekebank_enable_cacert']);
?>
</td>
</tr>
<?php }?>
<tr>
<td colspan="2">
<h3><?php echo _JSHOP_RBSPAYMENT_SETTINGS_HEADER2; ?></h3>
</td>
</tr>
<tr>
<td class="key">
<?php echo _JSHOP_RBSPAYMENT_PAYMENT_STATE_SUCCESSFUL; ?>
</td>
<td>
<?php print JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_end_status]', 'class = "inputbox form-control form-select" ', 'status_id', 'name', $params['transaction_end_status']); ?>
</td>
</tr>
<tr>
<td class="key">
<?php echo _JSHOP_RBSPAYMENT_PAYMENT_STATE_FAILED; ?>
</td>
<td>
<?php echo JHTML::_('select.genericlist', $orders->getAllOrderStatus(), 'pm_params[transaction_failed_status]', 'class = "inputbox form-control form-select" ', 'status_id', 'name', $params['transaction_failed_status']); ?>
</td>
</tr>
<?php if (defined('RBSPAYMENT_BEREKEBANK_ENABLE_BACK_URL_SETTINGS') && RBSPAYMENT_BEREKEBANK_ENABLE_BACK_URL_SETTINGS === true) : ?>
<tr>
<td class="key" >
<?php echo _JSHOP_RBSPAYMENT_BACK_URL_LABEL; ?>
</td>
<td>
<input type="text" name="pm_params[rbspayment_berekebank_back_url]" class="inputbox form-control"
value="<?= isset($params['rbspayment_berekebank_back_url']) ? $params['rbspayment_berekebank_back_url'] : "" ?>">
</td>
</tr>
<?php endif; ?>
<?php if (defined('RBSPAYMENT_BEREKEBANK_ENABLE_CART_OPTIONS') && RBSPAYMENT_BEREKEBANK_ENABLE_CART_OPTIONS === true) : ?>
<tr>
<td class="key">
<?php echo _JSHOP_RBSPAYMENT_SEND_ORDER_LABEL; ?>
</td>
<td>
<?php
print JHTML::_('select.booleanlist', 'pm_params[rbspayment_berekebank_send_cart_data]', 'class = "inputbox" size = "1"', $params['rbspayment_berekebank_send_cart_data']);
?>
</td>
</tr>
<tr>
<td class="key">
<?php echo _JSHOP_RBSPAYMENT_TAX_SYSTEM_LABEL; ?>
</td>
<td>
<?php echo JHTML::_('select.genericlist', $rbspayment_berekebank_taxSystems, 'pm_params[rbspayment_berekebank_taxSystem]', 'class = "inputbox form-control form-select"', 'id', 'name', $params['rbspayment_berekebank_taxSystem']); ?>
</td>
</tr>
<tr>
<td class="key">
<?php echo _JSHOP_RBSPAYMENT_FFD_VERSION_LABEL; ?>
</td>
<td>
<?php echo JHTML::_('select.genericlist', $rbspayment_berekebank_ffdVersions, 'pm_params[rbspayment_berekebank_version]', 'class = "inputbox form-control form-select"', 'id', 'name', $params['rbspayment_berekebank_version']); ?>
</td>
</tr>
<tr>
<td class="key">
<?php echo _JSHOP_RBSPAYMENT_PAYMENT_METHOD_LABEL; ?>
</td>
<td>
<?php echo JHTML::_('select.genericlist', $rbspayment_berekebank_paymentMethodTypeList, 'pm_params[rbspayment_berekebank_paymentMethodType]', 'class = "inputbox form-control form-select"', 'id', 'name', $params['rbspayment_berekebank_paymentMethodType']); ?>
</td>
</tr>
<tr>
<td class="key">
<?php echo _JSHOP_RBSPAYMENT_PAYMENT_OBJECT_LABEL; ?>
</td>
<td>
<?php echo JHTML::_('select.genericlist', $rbspayment_berekebank_paymentObjectTypeList, 'pm_params[rbspayment_berekebank_paymentObjectType]', 'class = "inputbox form-control form-select"', 'id', 'name', $params['rbspayment_berekebank_paymentObjectType']); ?>
</td>
</tr>
<?php endif; ?>
</table>
</fieldset>
</div>
<div class="clr"></div>